# Uses of Interface
org.eclipse.net4j.util.security.IPasswordCredentialsUpdate

Packages that use IPasswordCredentialsUpdate
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.ui.security
Credentials dialogs.

## Uses of IPasswordCredentialsUpdate in org.eclipse.net4j.util.security

Classes in org.eclipse.net4j.util.security that implement IPasswordCredentialsUpdate
Modifier and Type
Class
Description
`class`
`PasswordCredentialsUpdate`
Default implementation of the `IPasswordCredentialsUpdate` interface.
Methods in org.eclipse.net4j.util.security that return IPasswordCredentialsUpdate
Modifier and Type
Method
Description
`IPasswordCredentialsUpdate`
IPasswordCredentialsUpdateProvider.`getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)`
`IPasswordCredentialsUpdate`
IPasswordCredentialsUpdateProvider.`getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)`

## Uses of IPasswordCredentialsUpdate in org.eclipse.net4j.util.ui.security

Methods in org.eclipse.net4j.util.ui.security that return IPasswordCredentialsUpdate
Modifier and Type
Method
Description
`IPasswordCredentialsUpdate`
CredentialsResetDialog.`getCredentials()`
`IPasswordCredentialsUpdate`
CredentialsUpdateDialog.`getCredentials()`
`IPasswordCredentialsUpdate`
InteractiveCredentialsProvider.`getCredentialsUpdate(String realm, String userID, CredentialsUpdateOperation operation)`
`IPasswordCredentialsUpdate`
InteractiveCredentialsProvider.`getCredentialsUpdate(String userID, CredentialsUpdateOperation operation)`